## com.imcode.imcms.servlet.superadmin
Class UserEditorPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.superadmin.UserEditorPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class UserEditorPage

extends OkCancelPage

See Also:
  Serialized Form

Nested Class Summary
`static class` `UserEditorPage.RoleToStringPairTransformer`

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__ACTIVE`
`static java.lang.String` `REQUEST_PARAMETER__ADD_PHONE_NUMBER`
`static java.lang.String` `REQUEST_PARAMETER__ADDRESS`
`static java.lang.String` `REQUEST_PARAMETER__CITY`
`static java.lang.String` `REQUEST_PARAMETER__COMPANY`
`static java.lang.String` `REQUEST_PARAMETER__COUNTRY`
`static java.lang.String` `REQUEST_PARAMETER__DISTRICT`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_PHONE_NUMBER`
`static java.lang.String` `REQUEST_PARAMETER__EDITED_PHONE_NUMBER`
`static java.lang.String` `REQUEST_PARAMETER__EMAIL`
`static java.lang.String` `REQUEST_PARAMETER__FIRST_NAME`
`static java.lang.String` `REQUEST_PARAMETER__LANGUAGE`
`static java.lang.String` `REQUEST_PARAMETER__LAST_NAME`
`static java.lang.String` `REQUEST_PARAMETER__LOGIN_NAME`
`static java.lang.String` `REQUEST_PARAMETER__PASSWORD1`
`static java.lang.String` `REQUEST_PARAMETER__PASSWORD2`
`static java.lang.String` `REQUEST_PARAMETER__PHONE_NUMBER_TYPE_ID`
`static java.lang.String` `REQUEST_PARAMETER__REMOVE_PHONE_NUMBER`
`static java.lang.String` `REQUEST_PARAMETER__ROLE_IDS`
`static java.lang.String` `REQUEST_PARAMETER__SELECTED_PHONE_NUMBER`
`static java.lang.String` `REQUEST_PARAMETER__TITLE`
`static java.lang.String` `REQUEST_PARAMETER__USER_ADMIN_ROLE_IDS`
`static java.lang.String` `REQUEST_PARAMETER__ZIP`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`UserEditorPage(UserDomainObject user, DispatchCommand okDispatchCommand, DispatchCommand cancelDispatchCommand)`

Method Summary
`java.lang.String` `createLanguagesHtmlOptionList(UserDomainObject user, UserDomainObject userToChange)`
`java.lang.String` `createPhoneTypesHtmlOptionList(UserDomainObject loggedOnUser, PhoneNumberType selectedType)`
`java.lang.String` `createRolesHtmlOptionList(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `createUserAdminRolesHtmlOptionList()`
`protected void` `dispatchOk(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`PhoneNumber` `getCurrentPhoneNumber()`
`UserDomainObject` `getEditedUser()`
`LocalizedMessage` `getErrorMessage()`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`UserDomainObject` `getUneditedUser()`
`java.lang.String` `getUserPhoneNumbersHtmlOptionList(javax.servlet.http.HttpServletRequest request)`
`void` `setErrorMessage(LocalizedMessage errorMessage)`
`void` `setOkCommand(DispatchCommand okCommand)`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__LOGIN_NAME

    public static final java.lang.String REQUEST_PARAMETER__LOGIN_NAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PASSWORD1

    public static final java.lang.String REQUEST_PARAMETER__PASSWORD1

See Also:
  Constant Field Values

### REQUEST_PARAMETER__FIRST_NAME

    public static final java.lang.String REQUEST_PARAMETER__FIRST_NAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LAST_NAME

    public static final java.lang.String REQUEST_PARAMETER__LAST_NAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__TITLE

    public static final java.lang.String REQUEST_PARAMETER__TITLE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__COMPANY

    public static final java.lang.String REQUEST_PARAMETER__COMPANY

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ADDRESS

    public static final java.lang.String REQUEST_PARAMETER__ADDRESS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CITY

    public static final java.lang.String REQUEST_PARAMETER__CITY

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ZIP

    public static final java.lang.String REQUEST_PARAMETER__ZIP

See Also:
  Constant Field Values

### REQUEST_PARAMETER__COUNTRY

    public static final java.lang.String REQUEST_PARAMETER__COUNTRY

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DISTRICT

    public static final java.lang.String REQUEST_PARAMETER__DISTRICT

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EMAIL

    public static final java.lang.String REQUEST_PARAMETER__EMAIL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LANGUAGE

    public static final java.lang.String REQUEST_PARAMETER__LANGUAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ACTIVE

    public static final java.lang.String REQUEST_PARAMETER__ACTIVE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PASSWORD2

    public static final java.lang.String REQUEST_PARAMETER__PASSWORD2

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ROLE_IDS

    public static final java.lang.String REQUEST_PARAMETER__ROLE_IDS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__USER_ADMIN_ROLE_IDS

    public static final java.lang.String REQUEST_PARAMETER__USER_ADMIN_ROLE_IDS

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ADD_PHONE_NUMBER

    public static final java.lang.String REQUEST_PARAMETER__ADD_PHONE_NUMBER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_PHONE_NUMBER

    public static final java.lang.String REQUEST_PARAMETER__EDIT_PHONE_NUMBER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__REMOVE_PHONE_NUMBER

    public static final java.lang.String REQUEST_PARAMETER__REMOVE_PHONE_NUMBER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PHONE_NUMBER_TYPE_ID

    public static final java.lang.String REQUEST_PARAMETER__PHONE_NUMBER_TYPE_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDITED_PHONE_NUMBER

    public static final java.lang.String REQUEST_PARAMETER__EDITED_PHONE_NUMBER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SELECTED_PHONE_NUMBER

    public static final java.lang.String REQUEST_PARAMETER__SELECTED_PHONE_NUMBER

See Also:
  Constant Field Values

Constructor Detail

### UserEditorPage

    public UserEditorPage(UserDomainObject user,
                          DispatchCommand okDispatchCommand,
                          DispatchCommand cancelDispatchCommand)

Method Detail

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOk

    protected void dispatchOk(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

  Overrides:
    `dispatchOk` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getEditedUser

    public UserDomainObject getEditedUser()

### createLanguagesHtmlOptionList

    public java.lang.String createLanguagesHtmlOptionList(UserDomainObject user,
                                                          UserDomainObject userToChange)

### createPhoneTypesHtmlOptionList

    public java.lang.String createPhoneTypesHtmlOptionList(UserDomainObject loggedOnUser,
                                                           PhoneNumberType selectedType)

### getCurrentPhoneNumber

    public PhoneNumber getCurrentPhoneNumber()

### getUserPhoneNumbersHtmlOptionList

    public java.lang.String getUserPhoneNumbersHtmlOptionList(javax.servlet.http.HttpServletRequest request)

### getErrorMessage

    public LocalizedMessage getErrorMessage()

### createRolesHtmlOptionList

    public java.lang.String createRolesHtmlOptionList(javax.servlet.http.HttpServletRequest request)

### createUserAdminRolesHtmlOptionList

    public java.lang.String createUserAdminRolesHtmlOptionList()

### setErrorMessage

    public void setErrorMessage(LocalizedMessage errorMessage)

### setOkCommand

    public void setOkCommand(DispatchCommand okCommand)

### getUneditedUser

    public UserDomainObject getUneditedUser()

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Overrides:
    `forward` in class `Page`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`